This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 250924 - Review Request: flashrom - Simple program for reading/writing BIOS chips content
Review Request: flashrom - Simple program for reading/writing BIOS chips content
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-05 07:46 EDT by Peter Lemenkov
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-01 00:53:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
opensource: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2007-08-05 07:46:49 EDT
Spec URL: http://peter.fedorapeople.org/flashrom.spec
SRPM URL: http://peter.fedorapeople.org/flashrom-0.0-1.2742svn.fc7.src.rpm
Description: Utility which can be used to detect BIOS chips (DIP, PLCC), read their contents and write new contents on the chips ("flash the chip").



All of you, no doubt, heard something about LinuxBIOS project which has slow but constant progress in providing completely open startup-firmware (also known as BIOS) for a not so little number of mainboards (from desktop ones to more specific). 

Since the project continues to rise there are some utilities appears which may be useful even for users of proprietary BIOSes. One of such utilities is flashrom - it helps (re)flashing firmware w/o needs to create LiveCDs powered with my grandma's 8-bit DOS and rebooting to it.

See some user cases at the link below:

http://www.hermann-uwe.de/blog/flashing-a-bios-the-linux-way-tm-using-flashrom

I've got some thing to discuss - versioning of this package. Upstream still haven't any version (just svn revision) so I decided to name it as flashrom-0.0-1.2742svn.fc7 but maybe it would be better to name it like flashrom-0-1.2742svn.fc7 or something similar?
Comment 1 Peter Lemenkov 2007-08-22 08:59:08 EDT
minor update - svn  2744 where added support for EPoX EP-BX3 board.

http://peter.fedorapeople.org/flashrom.spec
http://peter.fedorapeople.org/flashrom-0.0-1.2744svn.fc7.src.rpm
Comment 2 Till Maas 2007-09-06 10:30:34 EDT
This seems to be a pre release snaphsot, so the release should start with 0.
Also you can use 0 for the Version instead of 0.0. So here is my proposal:
Version: 0
Release: 0.1.<date>svn2744%{?dist}

You should also include the date of the checkout, see:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#SnapshotPackages
If the checkouts you want to package are normally more than a day old, you can
also use the date to specify which version you want to checkout, e.g.
svn -r "{20070901}" export svn://linuxbios.org/repos/trunk/util/flashrom flashrom
Then you do not need to carry the svn revision.

Hint:
# svn -r 2744 co svn://linuxbios.org/repos/trunk/util/flashrom flashrom
# rm -rf flashrom/.svn
you can use svn export instead of co to avoid the creation of the .svn directory.

You should use
install -D -p -m644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
to install the manpage (-p is added here) to preserve the timestamp.
Comment 3 Peter Lemenkov 2007-09-06 11:01:00 EDT
(In reply to comment #2)
> This seems to be a pre release snaphsot, so the release should start with 0.
> Also you can use 0 for the Version instead of 0.0. So here is my proposal:
> Version: 0
> Release: 0.1.<date>svn2744%{?dist}
> You should also include the date of the checkout...

Done.

> # svn -r 2744 co svn://linuxbios.org/repos/trunk/util/flashrom flashrom
> # rm -rf flashrom/.svn
> you can use svn export instead of co to avoid the creation of the .svn directory.

Applied, thanks. 
Until now I never heard about such option :)

> You should use
> install -D -p -m644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
> to install the manpage (-p is added here) to preserve the timestamp.

Done.

http://peter.fedorapeople.org/flashrom.spec
http://peter.fedorapeople.org/flashrom-0-0.1.20070830svn2753.fc7.src.rpm

Comment 4 Till Maas 2007-09-06 11:50:06 EDT
rpmlint: ok (silent)
naming: ok (no upstream versioning, yet, version 0 should not conflict with any
version)
license: ok (GPLv2+, license text not included, but refered to in source files)
spec legible: ok
source0: svn checkout, instructions included, tarball matches own export: ok
ExcludeArch: ppc, ppc64: bugs need to be filed against FE-ExcludeArch-ppc,
FE-ExcludeArch-ppc64 once the package is imported
BuildRequires: ok, builds in mock for i386, F7
no library / devel stuff: ok
directory ownage: ok
%files section: no duplicates, defattr specified:ok
rm -rf %{buildroot} in %install and %clean: ok
%changelog format: ok

APPROVED, don't forget to file bugs against the Excludearch blocker bugs.


Optional:
Can you ask upstream to add an license header to udelay.c and include a copy of
their license in the repository?

There are some build warnings that should be reported upstream:
layout.c: In function 'read_romlayout':                                        
                                                                           
layout.c:114: warning: ignoring return value of 'fscanf', declared with
attribute warn_unused_result 
flashrom.c: In function 'main':                                                
                                                                           
flashrom.c:402: warning: ignoring return value of 'fwrite', declared with
attribute warn_unused_result                                                   
  flashrom.c:421: warning: ignoring return value of 'fread', declared with
attribute warn_unused_result 
Comment 5 Peter Lemenkov 2007-09-07 04:20:00 EDT
OK, thanks.
But I still can't checkout such module:

[petro@Sulaco FE]$ cvs co flashrom
cvs server: cannot find module `flashrom' - ignored
cvs [checkout aborted]: cannot expand modules
[petro@Sulaco FE]$
Comment 6 Till Maas 2007-09-07 05:02:18 EDT
You need to follow this
http://fedoraproject.org/wiki/PackageMaintainers/NewPackageProcess
You are at step 8 now.
Comment 7 Peter Lemenkov 2007-09-07 05:56:51 EDT
New Package CVS Request
=======================
Package Name: flashrom
Short Description: Simple program for reading/writing BIOS chips content
Owners: peter
Branches: FC-6 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2007-09-07 14:29:12 EDT
cvs done.
Comment 9 Peter Lemenkov 2007-09-30 14:23:43 EDT
Package Change Request
======================
Package Name: flashrom
New Branches: EL-4 EL-5
Comment 10 Jens Petersen 2007-10-01 00:38:33 EDT
added

Note You need to log in before you can comment on or make changes to this bug.